> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenia.team/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Location Tasks

> Returns a list of tasks associated with a specific location in a workspace.



## OpenAPI

````yaml GET /api/v1/mgt/workspaces/{workspaceId}/locations/{locationId}/tasks
openapi: 3.1.0
info:
  title: Xenia Team API - Get Location Tasks
  version: 1.0.0
  description: Retrieve tasks associated with a specific location.
servers:
  - url: https://api.xenia.team
security: []
paths:
  /api/v1/mgt/workspaces/{workspaceId}/locations/{locationId}/tasks:
    get:
      tags:
        - Tasks
      summary: Get Tasks for Location
      description: >-
        Returns a list of tasks associated with a specific location in a
        workspace.
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: locationId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: List of tasks for the specified location
          content:
            application/json:
              example:
                data:
                  - id: 29c4f53b-1414-42cb-9c7d-59839694b2d6
                    title: Work order with template
                    taskStatus: Open
                    createdAt: '2025-06-23T09:40:53.266Z'
                    taskNumber: '92131'
                    priority: None
                    ChecklistId: 68e3e08a-0fd0-4339-abdc-526b91027394
                    assignees:
                      - e25dd448-7ae7-4588-8767-7e1a316547e5
                    LocationId: b9164b03-60c2-4500-89a4-f490e38c9872
                    Checklist:
                      icon:
                        icon: Default
                        color: '#FFA681'
                      id: 68e3e08a-0fd0-4339-abdc-526b91027394
                      name: Default Location
                      HotelChecklist:
                        FolderId: null
                    Location:
                      id: b9164b03-60c2-4500-89a4-f490e38c9872
                      name: 013 - Marion South
                      timezone: Asia/Karachi
                      address: >-
                        X3W8+G6C, Sector 5-I Sector 5 M New Karachi Town,
                        Karachi, Pakistan
                      coordinates:
                        type: Point
                        coordinates:
                          - 67.065676627
                          - 24.996763148
                      Level:
                        id: 98329f39-e263-484d-8fa7-e951fcddb9c1
                        title: Store
                        isSite: true
                    TaskAssignees:
                      - Assigned:
                          fullName: Full User (China)
                          emailId: nihad2@yopmail.com
                          phoneNo: '+923345020366'
                meta: {}
        '400':
          description: Bad Request - Invalid workspace or location ID format.
        '401':
          description: Unauthorized - Missing or invalid authentication.
        '403':
          description: Forbidden - Insufficient permissions to access location tasks.
        '404':
          description: Not Found - Workspace or location does not exist.
        '500':
          description: Internal Server Error.
      security:
        - clientKey: []
          clientSecret: []
components:
  securitySchemes:
    clientKey:
      type: apiKey
      in: header
      name: x-client-key
    clientSecret:
      type: apiKey
      in: header
      name: x-client-secret

````